Bug 1697326 - Unable to change advanced options of libreswan's "IPsec based VPN" profile via gnome-control-center
Summary: Unable to change advanced options of libreswan's "IPsec based VPN" profile vi...
Keywords:
Status: CLOSED DUPLICATE of bug 1697329
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-control-center
Version: 8.2
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Francesco Giudici
QA Contact: Desktop QE
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 11:15 UTC by Filip Pokryvka
Modified: 2019-07-10 14:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Advanced options of `IPsec based VPN` cannot be changed using `gnome-control-center` When configuring an `IPsec based VPN` connection using the `gnome-control-center` application, the `Advanced` dialog will only display the configuration, but will not allow doing any change. As a consequence, users cannot change any advanced IPsec options. To work around this problem, use the `nm-connection-editor` or `nmcli` tools to perform configuration of the advanced properties.
Clone Of:
Environment:
Last Closed: 2019-04-15 12:56:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Pokryvka 2019-04-08 11:15:08 UTC
Description of problem:
With NetworkManager-libreswan-gnome installed, it is not possible to change advanced properties. The new dialog window is shown (IPsec Advanced Options), it looks like an active one, but nothing can be changed in it, until parent window (connection details dialog) is not closed. The advanced dialog can not even be closed before parent window is. 

Version-Release number of selected component (if applicable):
gnome-control-center-3.28.2-4.el8.x86_64
NetworkManager-libreswan-gnome-1.2.10-3.el8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install NetworkManager-libreswan-gnome
2. add or modify "IPsec based VPN" connection via gnome-control-center (Network tab)
3. click on "Advanced" button in "Identity" tab, advanced dialog pops-up

Actual results:
advanced dialog is uneditable

Expected results:
advanced dialog should be editable

Additional info:
When adding a new connection with nm-connection-editor, advanced dialog is editable.

Comment 1 Francesco Giudici 2019-04-15 12:56:13 UTC
Issue seems due to bug #1697329.
Closing as duplicate.

*** This bug has been marked as a duplicate of bug 1697329 ***


Note You need to log in before you can comment on or make changes to this bug.